- Qt 5.3
- Qt Multimedia
- C++ Classes
- QMediaServiceSupportedFormatsInterface
- Qt 5.3.2 Reference Documentation

# QMediaServiceSupportedFormatsInterface Class

The QMediaServiceSupportedFormatsInterface class interface identifies if a media service plug-in supports a media format. More...

Header: | `#include <QMediaServiceSupportedFormatsInterface>`
qmake: | `QT += multimedia`

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceSupportedFormatsInterface()
virtual QMultimedia::SupportEstimate | hasSupport(const QString & mimeType, const QStringList & codecs) const = 0
virtual QStringList | supportedMimeTypes() const = 0

## Detailed Description

The QMediaServiceSupportedFormatsInterface class interface identifies if a media service plug-in supports a media format.

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### QMediaServiceSupportedFormatsInterface::~QMediaServiceSupportedFormatsInterface()`[virtual]`

Destroys a media service supported formats interface.

### QMultimedia::SupportEstimate QMediaServiceSupportedFormatsInterface::hasSupport(const QString & mimeType, const QStringList & codecs) const`[pure virtual]`

Returns the level of support a media service plug-in has for a mimeType and set of codecs.

### QStringList QMediaServiceSupportedFormatsInterface::supportedMimeTypes() const`[pure virtual]`

Returns a list of MIME types supported by the media service plug-in.